## Class MessageDeliveryReceiptsExtension.ReceiptReceivedHandler.ReceiptReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MessageDeliveryReceiptsExtension.ReceiptReceivedHandler>
    - - MessageDeliveryReceiptsExtension.ReceiptReceivedHandler.ReceiptReceivedEvent

- Enclosing interface:
    MessageDeliveryReceiptsExtension.ReceiptReceivedHandler

      public static class MessageDeliveryReceiptsExtension.ReceiptReceivedHandler.ReceiptReceivedEvent
      extends JaxmppEvent<MessageDeliveryReceiptsExtension.ReceiptReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceiptReceivedEvent(SessionObject sessionObject, Chat chat, Message msg, String confirmedId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MessageDeliveryReceiptsExtension.ReceiptReceivedHandler handler)` Invokes handlers method.
    `Chat` | `getChat()`
    `String` | `getConfirmedId()`
    `Message` | `getMessage()`
    `void` | `setChat(Chat chat)`
    `void` | `setConfirmedId(String confirmedId)`
    `void` | `setMessage(Message message)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceiptReceivedEvent

          public ReceiptReceivedEvent(SessionObject sessionObject,
                                      Chat chat,
                                      Message msg,
                                      String confirmedId)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MessageDeliveryReceiptsExtension.ReceiptReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MessageDeliveryReceiptsExtension.ReceiptReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getChat

          public Chat getChat()

    - #### getConfirmedId

          public String getConfirmedId()

      Returns:
        the confirmedId

    - #### getMessage

          public Message getMessage()

      Returns:
        the message

    - #### setChat

          public void setChat(Chat chat)

    - #### setConfirmedId

          public void setConfirmedId(String confirmedId)

      Parameters:
        `confirmedId` - the confirmedId to set

    - #### setMessage

          public void setMessage(Message message)

      Parameters:
        `message` - the message to set

Copyright © 2006–2016 Tigase. All rights reserved.